ReturnTree (Java SE 26 & JDK 26)
Description: declaration: module: jdk.compiler, package: com.sun.source.doctree, interface: ReturnTree
Keywords: com.sun.source.doctree.ReturnTree interface

# Interface ReturnTree

All Superinterfaces:
  `BlockTagTree, DocTree, InlineTagTree`

public interface ReturnTree extends BlockTagTree, InlineTagTree
A tree node for an `@return` block tag.

       @return description
       {@return description}

Since:
  1.8

- ## Nested Class Summary

  ### Nested classes/interfaces declared in interface DocTree

  `DocTree.Kind`
  Modifier and Type
  Interface
  Description
  `static enum`
  `DocTree.Kind`
  Enumerates all kinds of trees.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<? extends DocTree>`
  `getDescription()`
  Returns the description of the return value of a method.
  `default boolean`
  `isInline()`
  Returns whether this instance is an inline tag.

  ### Methods declared in interface BlockTagTree

  `getTagName`
  Modifier and Type
  Method
  Description
  `String`
  `getTagName()`
  Returns the name of the tag.

  ### Methods declared in interface DocTree

  `accept, getKind`
  Modifier and Type
  Method
  Description
  `<R,D> R`
  `accept(DocTreeVisitor<R,D> visitor, D data)`
  Accept method used to implement the visitor pattern.
  `DocTree.Kind`
  `getKind()`
  Returns the kind of this tree.

  ### Methods declared in interface InlineTagTree

  `getTagName`
  Modifier and Type
  Method
  Description
  `String`
  `getTagName()`
  Returns the name of the tag.

- ## Method Details

  - ### isInline

    default boolean isInline()
    Returns whether this instance is an inline tag.
    Implementation Requirements:
      this implementation returns `false`.
    Returns:
      `true` if this instance is an inline tag, and `false` otherwise
    Since:
      16

  - ### getDescription

    List<? extends DocTree> getDescription()
    Returns the description of the return value of a method.
    Returns:
      the description